<app-breadcrumb-admin [single]="false" titlePage="Editar Producto" backPage="Productos" url="products"></app-breadcrumb-admin>

<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faEdit"></fa-icon> Editar Producto</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12 col-lg-8">
              <label for="name"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nombre</span>
              </label>
              <input type="text" name="name" id="name" placeholder="Nombre" class="form-control" [(ngModel)]="product.name.es" required *ngIf="serviceTranslation.getLang() == 'es'">
              <input type="text" name="name" placeholder="Nombre" class="form-control" [(ngModel)]="product.name.en" required *ngIf="serviceTranslation.getLang() == 'en'">
              <label for="record"  class="label-flags">
                <span> Registro Sagarpa</span>
              </label>
              <input type="text" name="record" id="record" placeholder="Registro Sagarpa" class="form-control" [(ngModel)]="product.record" >
              <label for="formula"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Formula</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="product.formula.es" name="formula" id="formula" [data]="product.formula.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="product.formula.en" name="formula"  [data]="product.formula.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
<!--              <label for="use"  class="label-flags">-->
<!--                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">-->
<!--                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">-->
<!--                <span> Uso</span>-->
<!--              </label>-->
<!--              <ckeditor [editor]="Editor" [(ngModel)]="product.use.es" name="use" id="use" [data]="product.use.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>-->
<!--              <ckeditor [editor]="Editor" [(ngModel)]="product.use.en" name="use" [data]="product.use.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>-->
              <label for="dose"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Dosis</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="product.dose.es" name="dose" id="dose" [data]="product.dose.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="product.dose.en" name="dose" [data]="product.dose.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
              <label for="presentations"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Presentaciones</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="product.presentations.es" name="presentations" id="presentations" [data]="product.presentations.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="product.presentations.en" name="presentations"  [data]="product.presentations.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
              <label for="indications"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Indicaciones</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="product.indications.es" name="indications" id="indications" [data]="product.indications.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="product.indications.en" name="indications" [data]="product.indications.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
              <label for="warnings"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Advertencias</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="product.warnings.es" name="warnings" id="warnings" [data]="product.warnings.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="product.warnings.en" name="warnings" [data]="product.warnings.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
<!--              <label for="characteristics"  class="label-flags">-->
<!--                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">-->
<!--                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">-->
<!--                <span> Caracteristicas</span>-->
<!--              </label>-->
<!--              <ckeditor [editor]="Editor" [(ngModel)]="product.characteristics.es" name="characteristics" id="characteristics" [data]="product.characteristics.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>-->
<!--              <ckeditor [editor]="Editor" [(ngModel)]="product.characteristics.en" name="characteristics" [data]="product.characteristics.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>-->
            </div>
            <div class="col-12 col-lg-4">
              <div class="card p-2 border">
                <h2 class="text-center">Categorias</h2>
                <div *ngFor="let category of categories">
                  <input type="checkbox" [checked]="category.status" (click)="push(category._id)" >
                  &nbsp;
                  <label *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="category.name.es">{{ category.name.es }}</span>
                    <span *ngIf="!category.name.es">Editar </span>
                  </label>
                  <label *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="category.name.en">{{ category.name.en }}</span>
                    <span *ngIf="!category.name.en">Editar </span>
                  </label>
                </div>
              </div>
              <div class="card p-2 border mt-3">
                <h2 class="text-center">Especies</h2>
                <div *ngFor="let kind of kinds">
                  <input type="checkbox" [checked]="kind.status" (click)="pushKind(kind._id)" >
                  &nbsp;
                  <label>
                    <span >{{ kind.name }}</span>
                  </label>
                  <app-products-kinds [parent]="kind._id" (kindSelect)="pushKind($event)" [kindsSelect]="kindsSelect"></app-products-kinds>
                </div>
              </div>
              <div class="card p-2 border mt-3">
                <h2 class="text-center">Via de Administración</h2>
                <div *ngFor="let route of routes">
                  <label>
                    <input type="checkbox" [checked]="route.status"  (click)="pushRoute(route._id)" >
                    &nbsp;
                    <span >{{ route.name }}</span>
                  </label>
                </div>
              </div>
            </div>
          </div>
          <div class="position-relative form-group">

            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="product._id | image: 'products' " class="img-fluid" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid" (error)="replaceImage(image)" #image>
                <a class="text-danger ml-2" (click)="deleteImage(product.image)" style="cursor: pointer;" *ngIf="imageInit">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
                <a class="text-danger ml-2" (click)="deleteImageThumbnail()" style="cursor: pointer;" *ngIf="thumbnail">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: product._id: 'products'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImageGallery(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>



